#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define url_ver %(echo %{version} | cut -d. -f1-2)

%define rel 1

Summary:        KDE Frameworks 6 Tier 2 addon for documentation
Name:           kdoctools
Version: 6.13.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/frameworks/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)

BuildRequires:  cmake(KF6Archive) >= %version
BuildRequires:  cmake(KF6I18n) >= %version

BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  docbook-style-xsl
BuildRequires:  perl(URI)

%description
Provides tools to generate documentation in various format from DocBook files.

%files -f kdoctools6.lang
%_kf6_bindir/meinproc6
%_kf6_datadir/kf6/kdoctools
%_kf6_mandir/man?/*

#--------------------------------------------------------------------

%define kf6doctools_major 6
%define libkf6doctools %mklibname kf6doctools %{kf6doctools_major}

%package -n %libkf6doctools
Summary:        KDE Frameworks 6 Tier 2 addon for documentation
Group:          System/Libraries
Requires:       %name >= %version-%release

%description -n %libkf6doctools
Provides tools to generate documentation in various format from DocBook files.

%files -n %libkf6doctools
%_kf6_libdir/libKF6DocTools.so.%{kf6doctools_major}{,.*}
%_kf6_libdir/libKF6DocTools.so.%{version}

#--------------------------------------------------------------------

%define kdoctools_devel %mklibname kf6doctools -d

%package -n %kdoctools_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Requires:       %libkf6doctools = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

Requires:       cmake(KF6Archive) = %version
Requires:       cmake(Qt6Core)

%description -n %kdoctools_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kdoctools_devel
%_kf6_bindir/checkXML6
%_kf6_libdir/cmake/KF6DocTools/
%_kf6_libdir/libKF6DocTools.so
%_kf6_includedir/KDocTools/

#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang kdoctools6 --with-html --with-man --all-name


%changelog
* Sun Apr 13 2025 daviddavid <daviddavid> 6.13.0-1.mga10
+ Revision: 2175120
- New version 6.13.0
+ wally <wally>
- rebuild for libxml2 2.13.6

* Sat Mar 15 2025 daviddavid <daviddavid> 6.12.0-1.mga10
+ Revision: 2164127
- New version 6.12.0

* Thu Jan 09 2025 daviddavid <daviddavid> 6.10.0-1.mga10
+ Revision: 2136393
- New version 6.10.0

* Fri Dec 20 2024 daviddavid <daviddavid> 6.9.0-1.mga10
+ Revision: 2126578
- New version 6.9.0

* Sat Nov 09 2024 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 2113076
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 6.7.0-1.mga10
+ Revision: 2104753
- New version 6.7.0

* Sat Sep 14 2024 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2095920
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084362
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070534
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063390
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056824
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044922
- New version 6.0.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037482
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029575
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025610
- New version 5.247.0
- New version 5.246.0

* Fri Nov 10 2023 neoclust <neoclust> 5.245.0-1.mga10
+ Revision: 2005749
- New version 5.245.0

* Thu Oct 19 2023 daviddavid <daviddavid> 5.111.0-1.mga10
+ Revision: 1998961
- New version 5.111.0

* Sat Sep 16 2023 daviddavid <daviddavid> 5.110.0-1.mga10
+ Revision: 1987352
- New version 5.110.0

* Mon Apr 10 2023 neoclust <neoclust> 5.105.0-1.mga9
+ Revision: 1952035
- New version 5.105.0

* Mon Mar 06 2023 neoclust <neoclust> 5.104.0-1.mga9
+ Revision: 1947845
- New version 5.104.0

* Mon Feb 13 2023 neoclust <neoclust> 5.103.0-1.mga9
+ Revision: 1941351
- New version 5.103.0

* Mon Jan 23 2023 neoclust <neoclust> 5.102.0-1.mga9
+ Revision: 1935001
- New version 5.102.0

* Wed Dec 14 2022 daviddavid <daviddavid> 5.101.0-1.mga9
+ Revision: 1922249
- New version 5.101.0

* Sun Nov 27 2022 neoclust <neoclust> 5.100.0-1.mga9
+ Revision: 1911616
- New version 5.100.0

* Sun Oct 30 2022 neoclust <neoclust> 5.99.0-1.mga9
+ Revision: 1900220
- New version 5.99.0

* Tue Sep 13 2022 neoclust <neoclust> 5.98.0-1.mga9
+ Revision: 1887655
- New version 5.98.0

* Fri Aug 26 2022 neoclust <neoclust> 5.97.0-1.mga9
+ Revision: 1880602
- New version 5.97.0

* Tue Jul 26 2022 neoclust <neoclust> 5.96.0-1.mga9
+ Revision: 1871702
- New version 5.96.0

* Mon Apr 25 2022 neoclust <neoclust> 5.93.0-1.mga9
+ Revision: 1853222
- New version 5.93.0

* Tue Apr 05 2022 umeabot <umeabot> 5.92.0-2.mga9
+ Revision: 1844609
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.92.0

* Mon Nov 08 2021 neoclust <neoclust> 5.88.0-1.mga9
+ Revision: 1754830
- New version 5.88.0

* Sun Oct 03 2021 neoclust <neoclust> 5.87.0-1.mga9
+ Revision: 1749081
- New version 5.87.0

* Fri Oct 01 2021 neoclust <neoclust> 5.86.0-1.mga9
+ Revision: 1747041
- New version 5.86.0

* Fri Jul 09 2021 neoclust <neoclust> 5.84.0-1.mga9
+ Revision: 1735263
- New version 5.84.0
- New version 5.83.0

* Sat May 15 2021 daviddavid <daviddavid> 5.82.0-1.mga9
+ Revision: 1723454
- New version 5.82.0

* Mon Apr 12 2021 daviddavid <daviddavid> 5.81.0-1.mga9
+ Revision: 1714850
- New version 5.81.0

* Sat Mar 13 2021 daviddavid <daviddavid> 5.80.0-1.mga9
+ Revision: 1702028
- New version 5.80.0

* Thu Feb 25 2021 neoclust <neoclust> 5.79.0-1.mga9
+ Revision: 1691120
- New version 5.79.0

* Sun Dec 06 2020 daviddavid <daviddavid> 5.76.0-1.mga8
+ Revision: 1653334
- New version 5.76.0

* Sun Oct 11 2020 daviddavid <daviddavid> 5.75.0-1.mga8
+ Revision: 1633187
- New version 5.75.0

* Sun Sep 13 2020 daviddavid <daviddavid> 5.74.0-1.mga8
+ Revision: 1625608
- New version 5.74.0

* Sun Aug 09 2020 daviddavid <daviddavid> 5.73.0-1.mga8
+ Revision: 1612317
- New version 5.73.0

* Wed Jul 08 2020 neoclust <neoclust> 5.72.0-1.mga8
+ Revision: 1603091
- New version 5.72.0

* Fri Jun 12 2020 neoclust <neoclust> 5.71.0-1.mga8
+ Revision: 1592785
- New version 5.71.0

* Sat May 09 2020 daviddavid <daviddavid> 5.70.0-1.mga8
+ Revision: 1582011
- New version 5.70.0

* Sun Apr 12 2020 daviddavid <daviddavid> 5.69.0-1.mga8
+ Revision: 1566502
- New version 5.69.0

* Mon Mar 16 2020 daviddavid <daviddavid> 5.68.0-1.mga8
+ Revision: 1556678
- New version 5.68.0

* Thu Feb 20 2020 umeabot <umeabot> 5.67.0-2.mga8
+ Revision: 1546715
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 neoclust <neoclust> 5.67.0-1.mga8
+ Revision: 1486816
- New version 5.67.0
+ wally <wally>
- build with new cmake macros

* Fri Dec 13 2019 neoclust <neoclust> 5.65.0-1.mga8
+ Revision: 1466226
- New version 5.65.0

* Sun Nov 10 2019 daviddavid <daviddavid> 5.64.0-2.mga8
+ Revision: 1458991
- rebuild for arm

* Mon Nov 04 2019 neoclust <neoclust> 5.64.0-1.mga8
+ Revision: 1457611
- New version 5.64.0

* Thu Oct 10 2019 neoclust <neoclust> 5.63.0-1.mga8
+ Revision: 1450993
- New version 5.63.0

* Mon Sep 23 2019 neoclust <neoclust> 5.62.0-1.mga8
+ Revision: 1444805
- New version 5.62.0

* Fri Jul 26 2019 daviddavid <daviddavid> 5.60.0-2.mga8
+ Revision: 1424239
- fix devel pkg-name

* Thu Jul 11 2019 neoclust <neoclust> 5.60.0-1.mga8
+ Revision: 1420068
- New version 5.60.0

* Mon Apr 08 2019 neoclust <neoclust> 5.57.0-1.mga7
+ Revision: 1386933
- New version 5.57.0

* Sat Mar 30 2019 umeabot <umeabot> 5.56.0-2.mga7
+ Revision: 1382343
- Qt5 Rebuild

* Tue Mar 12 2019 neoclust <neoclust> 5.56.0-1.mga7
+ Revision: 1374560
- New version 5.56.0

* Sat Feb 09 2019 neoclust <neoclust> 5.55.0-1.mga7
+ Revision: 1364535
- New version 5.55.0

* Mon Jan 14 2019 neoclust <neoclust> 5.54.0-1.mga7
+ Revision: 1356658
- New version 5.54.0

* Sun Dec 09 2018 neoclust <neoclust> 5.53.0-1.mga7
+ Revision: 1339214
- New version 5.53.0

* Tue Oct 09 2018 neoclust <neoclust> 5.51.0-1.mga7
+ Revision: 1318961
- New version 5.51.0
- New version 5.50.0

* Sun Sep 23 2018 umeabot <umeabot> 5.49.0-2.mga7
+ Revision: 1298514
- Mageia 7 Mass Rebuild

* Sat Aug 04 2018 neoclust <neoclust> 5.49.0-1.mga7
+ Revision: 1247311
- New version 5.49.0

* Mon May 14 2018 neoclust <neoclust> 5.46.0-1.mga7
+ Revision: 1229249
- New version 5.46.0

* Thu Jan 11 2018 neoclust <neoclust> 5.42.0-1.mga7
+ Revision: 1192281
- New version 5.42.0

* Tue Dec 12 2017 neoclust <neoclust> 5.41.0-1.mga7
+ Revision: 1182331
- New version 5.41.0

* Thu Sep 28 2017 neoclust <neoclust> 5.38.0-1.mga7
+ Revision: 1161237
- New version 5.38.0

* Tue Aug 15 2017 neoclust <neoclust> 5.37.0-1.mga7
+ Revision: 1140399
- New version 5.37.0

* Sun Jul 16 2017 neoclust <neoclust> 5.36.0-1.mga7
+ Revision: 1123500
- New version 5.36.0

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1089303
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074534
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072199
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058354
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050531
- New version 5.26.0

* Sat Aug 27 2016 daviddavid <daviddavid> 5.25.0-2.mga6
+ Revision: 1049215
- enable KF5I18n support

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045109
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041331
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021929
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014339
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999635
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986328
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942248
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921281
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 913022
- Rebuild against Qt 5.6.0 Beta

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909866
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900638
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899580
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898925
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888165
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881389
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862950
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862668
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853796
- New version 5.12.0

* Fri Jun 26 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 844135
- New version 5.11.0

* Tue Dec 16 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803357
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 741807
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681029
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660429
- New version 5.1.0

* Tue Jul 08 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 650730
- New version 5.0.0

* Sun Jul 06 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 644289
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611275
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599787
- New version 4.97.0

* Tue Feb 18 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 594264
- imported package kdoctools

